import { MetadataComponent, SfdxFileFormat, OutputOptions } from '../types';
import { RegistryAccess } from '../metadata-registry';
declare type OutputOptionKeys = keyof OutputOptions;
declare type OutputConfig<T extends OutputOptionKeys> = {
    type: T;
    options: OutputOptions[T];
};
export declare class MetadataConverter {
    private registryAccess;
    constructor(registryAccess?: RegistryAccess);
    /**
     * Convert metadata components to another SFDX file format.
     *
     * @param components Components to convert
     * @param targetFormat Format to convert the component files to
     * @param outputConfig Configuration for outputting the converted files
     */
    convert(components: MetadataComponent[], targetFormat: SfdxFileFormat, outputConfig: OutputConfig<OutputOptionKeys>): Promise<void>;
}
export {};
