/// <reference types="node" />
import { Readable, Transform, Writable, pipeline as cbPipeline } from 'stream';
import { MetadataComponent, SourcePath, SfdxFileFormat, WriterFormat } from '../types';
export declare const pipeline: typeof cbPipeline.__promisify__;
export declare class ComponentReader extends Readable {
    private currentIndex;
    private components;
    constructor(components: MetadataComponent[]);
    _read(): void;
}
export declare class ComponentConverter extends Transform {
    private targetFormat;
    constructor(targetFormat: SfdxFileFormat);
    _transform(chunk: MetadataComponent, encoding: string, callback: (err: Error, data: WriterFormat) => void): void;
}
export declare class StandardWriter extends Writable {
    private rootDestination;
    constructor(rootDestination: SourcePath);
    _write(chunk: WriterFormat, encoding: string, callback: (err?: Error) => void): Promise<void>;
}
