import { MixedContent } from './mixedContent';
import { SourcePath } from '../../types';
/**
 * Handles _bundle_ types. A component bundle has all its source files, including the
 * root metadata xml, contained in its own directory.
 *
 * __Example Types__:
 *
 * LightningComponentBundle, AuraDefinitionBundle, CustomObject
 *
 * __Example Structure__:
 * ```text
 * foos/
 * ├── myFoo/
 * |   ├── myFoo.js
 * |   ├── myFooStyle.css
 * |   ├── myFoo.html
 * |   ├── myFoo.js-meta.xml
 *```
 */
export declare class Bundle extends MixedContent {
    protected getMetadataXmlPath(pathToSource: SourcePath): SourcePath;
}
