import { MetadataComponent, MetadataRegistry, MetadataType } from '../types';
/**
 * Infer information about metadata types and components based on source paths.
 */
export declare class RegistryAccess {
    readonly data: MetadataRegistry;
    private forceIgnore;
    /**
     * @param data Optional custom registry data.
     */
    constructor(data?: MetadataRegistry);
    /**
     * Get metadata type information.
     *
     * @param name Name of the metadata type
     */
    getTypeFromName(name: string): MetadataType;
    /**
     * Get the metadata component(s) from a file path.
     *
     * @param fsPath File path for a piece of metadata
     */
    getComponentsFromPath(fsPath: string): MetadataComponent[];
    private determineTypeId;
    private fetchComponent;
    private getComponentsFromPathRecursive;
    getApiVersion(): string;
}
