import { MetadataType } from './common';
/**
 * Describes the shape of the registry data.
 */
export declare type MetadataRegistry = {
    /**
     * Metadata type definitions
     */
    types: {
        [typeId: string]: MetadataType;
    };
    /**
     * Index mapping file suffixes to type ids.
     */
    suffixes: {
        [suffix: string]: string;
    };
    /**
     * Index mapping directoryNames to type ids for types with mixed content.
     */
    mixedContent: {
        [directoryName: string]: string;
    };
    /**
     * SourceAdapter mappings for types that need an explicit definition.
     */
    adapters: {
        [typeId: string]: string;
    };
    /**
     * API Version
     */
    apiVersion: string;
};
export declare type MetadataXml = {
    fullName: string;
    suffix: string;
};
