import { SourcePath } from '../types';
/**
 * Get the file or directory name at the end of a path. Different from `path.basename`
 * in that it strips anything after the first '.' in the name.
 * @param fsPath The path to evaluate
 */
export declare function baseName(fsPath: SourcePath): string;
/**
 * Get the name of file path extension. Different from path.extname in that it
 * does not include the '.' in the extension name. Returns an empty string if
 * there is no extension.
 * @param fsPath The path to evaluate
 */
export declare function extName(fsPath: SourcePath): string;
/**
 * Get the name of the parent to the last portion of a path
 * @param fsPath The path to evaluate
 */
export declare function parentName(fsPath: SourcePath): string;
